[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'sysutils' (#rtl)

# GetLastOSError

Return the last code from the OS.

## Declaration

Source position: osutilsh.inc line 20

`function GetLastOSError: Integer;`

## Description

GetLastOSError returns the error code from the last operating system call. It does not reset this code. In general, it should be called when an operating system call reported an error condition. In that case, GetLastOSError gives extended information about the error.

No assumptions should be made about the resetting of the error code by subsequent OS calls. This may be platform dependent.

## See also

RaiseLastOSError |  | Raise an exception with the last Operating System error code.

Documentation generated on: Feb 26 2014